Recommended update for Salt

SUSE Recommended Update: Recommended update for Salt
Announcement ID: SUSE-RU-2018:2461-1
Rating: moderate
References: #1057635 #1089526 #1093458 #1096514 #1098394
Affected Products:
  • SUSE Linux Enterprise Server 11-SP4-CLIENT-TOOLS
  • SUSE Linux Enterprise Server 11-SP3-CLIENT-TOOLS

  • An update that has 5 recommended fixes can now be installed.

    Description:

    This update for salt fixes the following issues:

    - Handle packages with multiple version properly with zypper. (bsc#1096514)
    - Fix file.get_diff regression in 2018.3. (bsc#1098394)
    - Fix file.managed binary file utf8 error. (bsc#1098394)
    - Add custom SUSE capabilities as Grains. (bsc#1089526)
    - Bugfix: State file.line warning. (bsc#1093458)
    - Enable '--with-salt-version' parameter for setup.py script.
    - Add environment variable to know if yum is invoked from Salt.
    (bsc#1057635)

    Patch Instructions:

    To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Server 11-SP4-CLIENT-TOOLS:
      zypper in -t patch slesctsp4-salt-13746=1
    • SUSE Linux Enterprise Server 11-SP3-CLIENT-TOOLS:
      zypper in -t patch slesctsp3-salt-13746=1

    Package List:

    • SUSE Linux Enterprise Server 11-SP4-CLIENT-TOOLS (i586 ia64 ppc64 s390x x86_64):
      • salt-2016.11.4-43.29.1
      • salt-doc-2016.11.4-43.29.1
      • salt-minion-2016.11.4-43.29.1
    • SUSE Linux Enterprise Server 11-SP3-CLIENT-TOOLS (i586 ia64 ppc64 s390x x86_64):
      • salt-2016.11.4-43.29.1
      • salt-doc-2016.11.4-43.29.1
      • salt-minion-2016.11.4-43.29.1

    References: